//
//  NumberPickerController.h
//  FamigoiPhoneExample
//
//  Created by Cody Powell on 9/20/10.
//  Copyright 2010 Famigo. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "FamigoController.h"

@class AsyncTurnView;
@class GearTab;

@interface NumberPickerController : UIViewController<FamigoControllerDelegate, UIAlertViewDelegate, UIActionSheetDelegate> {
	FamigoController *famigoController;
	AsyncTurnView *turnView;
	GearTab *gearTab;
	
	IBOutlet UISlider *slider;
	IBOutlet UILabel *sliderLabel;
	IBOutlet UIButton *submitGuess;
	IBOutlet UILabel *guessHint;
}

@property (retain, nonatomic) FamigoController *famigoController;
@property (retain, nonatomic) AsyncTurnView *turnView;
@property (retain, nonatomic) GearTab *gearTab;

-(void)sliderChanged:(id)sender;
-(void)submitGuessClicked:(id)sender;

@end
